PUT
/api/users/{userId}/passwordChange user password
Change the password for a user. Only available when embedded IdP is enabled. Users can only change their own password.
userIdstringrequired
The unique identifier of a user
Password change request
new_passwordstringrequired
The new password to set
old_passwordstringrequired
The current password
200Password changed successfully
400Bad Request
401Requires authentication
403Forbidden
412Precondition failed - embedded IdP is not enabled
500Internal Server Error
Error handling
A 400 is returned: Bad Request. A 401 is returned: Requires authentication. A 403 is returned: Forbidden. A 412 is returned: Precondition failed - embedded IdP is not enabled. A 500 is returned: Internal Server Error.